@charset "utf-8";
/* ----------- */
/* AUDIOPLAYER */
/* ----------- */
.audioplayer {
  height: 2.5em;
  /* 40 */
  position: relative;
  z-index: 1;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px; }

.audioplayer-mini {
  width: 2.5em;
  /* 40 */
  margin: 0 auto; }

.audioplayer > div {
  position: absolute; }

.audioplayer-playpause {
  width: 2.5em;
  /* 40 */
  height: 100%;
  text-align: left;
  text-indent: -9999px;
  cursor: pointer;
  z-index: 2;
  top: 0;
  left: 0;
  -moz-border-radius-topleft: 2px;
  -webkit-border-top-left-radius: 2px;
  border-top-left-radius: 2px;
  -moz-border-radius-bottomleft: 2px;
  -webkit-border-bottom-left-radius: 2px;
  border-bottom-left-radius: 2px; }

.audioplayer-mini .audioplayer-playpause {
  width: 100%; }

.audioplayer-playpause a {
  display: block; }

.audioplayer:not(.audioplayer-playing) .audioplayer-playpause a {
  width: 0;
  height: 0;
  border: 0.5em solid transparent;
  /* 8 */
  border-right: none;
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  margin: -0.5em 0 0 -0.25em;
  /* 8 4 */ }

.audioplayer-playing .audioplayer-playpause a {
  width: 0.8em;
  /* 12 */
  /* CUSTOM EDIT, PREVIOUSLY THERE WAS: width: 0.75em; */
  height: 0.75em;
  /* 12 */
  position: absolute;
  top: 50%;
  left: 50%;
  margin: -0.375em 0 0 -0.375em;
  /* 6 */ }

.audioplayer-playing .audioplayer-playpause a:before,
.audioplayer-playing .audioplayer-playpause a:after {
  width: 40%;
  height: 100%;
  content: '';
  position: absolute;
  top: 0; }

.audioplayer-playing .audioplayer-playpause a:before {
  left: 0; }

.audioplayer-playing .audioplayer-playpause a:after {
  right: 0; }

.audioplayer-time {
  width: 4.375em;
  /* 70 */
  height: 100%;
  line-height: 2.375em;
  /* 38 */
  text-align: center;
  z-index: 2;
  top: 0; }

.audioplayer-time-current {
  left: 2.5em;
  /* 40 */ }

.audioplayer-time-duration {
  right: 2.5em;
  /* 40 */ }

.audioplayer-novolume .audioplayer-time-duration {
  border-right: 0;
  right: 0; }

.audioplayer-bar {
  height: 0.875em;
  /* 14 */
  cursor: pointer;
  z-index: 1;
  top: 50%;
  right: 6.875em;
  /* 110 */
  left: 6.875em;
  /* 110 */
  margin-top: -0.438em;
  /* 7 */ }

.audioplayer-novolume .audioplayer-bar {
  right: 4.375em;
  /* 70 */ }

.audioplayer-bar div {
  width: 0;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0; }

.audioplayer-bar-loaded {
  /* background-color: ; /* bar loaded bg, unspecified, not needed */
  z-index: 1; }

.audioplayer-bar-played {
  z-index: 2; }

.audioplayer-volume {
  width: 2.5em;
  /* 40 */
  height: 100%;
  text-align: left;
  text-indent: -9999px;
  cursor: pointer;
  z-index: 2;
  top: 0;
  right: 0;
  -moz-border-radius-bottomright: 2px;
  -webkit-border-bottom-right-radius: 2px;
  border-bottom-right-radius: 2px; }

.audioplayer-volume-button {
  width: 100%;
  height: 100%; }

.audioplayer-volume-button a {
  width: 0.313em;
  /* 5 */
  height: 0.375em;
  /* 6 */
  display: block;
  position: relative;
  z-index: 1;
  top: 40%;
  left: 35%; }

.audioplayer-volume-button a:before,
.audioplayer-volume-button a:after {
  content: '';
  position: absolute; }

.audioplayer-volume-button a:before {
  width: 0;
  height: 0;
  border: 0.5em solid transparent;
  /* 8 */
  border-left: none;
  z-index: 2;
  top: 50%;
  right: -0.25em;
  margin-top: -0.5em;
  /* 8 */ }

.audioplayer:not(.audioplayer-mute) .audioplayer-volume-button a:after {
  /* "volume" icon by Nicolas Gallagher, http://nicolasgallagher.com/pure-css-gui-icons */
  width: 0.313em;
  /* 5 */
  height: 0.313em;
  /* 5 */
  border-style: double;
  border-width: 0.25em;
  border-width: 0.25em 0.25em 0 0;
  /* 4 */
  left: 0.563em;
  /* 9 */
  top: -0.063em;
  /* 1 */
  -webkit-border-radius: 0 0.938em 0 0;
  /* 15 */
  -moz-border-radius: 0 0.938em 0 0;
  /* 15 */
  border-radius: 0 0.938em 0 0;
  /* 15 */
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg); }

.audioplayer-volume-adjust {
  height: 6.25em;
  /* 100 */
  cursor: default;
  position: absolute;
  left: 0;
  right: 0;
  top: -9999px;
  -moz-border-radius-topleft: 2px;
  -webkit-border-top-left-radius: 2px;
  border-top-left-radius: 2px;
  -moz-border-radius-topright: 2px;
  -webkit-border-top-right-radius: 2px;
  border-top-right-radius: 2px; }

.audioplayer-volume:not(:hover) .audioplayer-volume-adjust {
  opacity: 0; }

.audioplayer-volume:hover .audioplayer-volume-adjust {
  top: auto;
  bottom: 100%; }

.audioplayer-volume-adjust > div {
  width: 40%;
  height: 80%;
  cursor: pointer;
  position: relative;
  z-index: 1;
  margin: 30% auto 0; }

.audioplayer-volume-adjust div div {
  width: 100%;
  height: 100%;
  position: absolute;
  bottom: 0;
  left: 0; }

.audioplayer-novolume .audioplayer-volume {
  display: none; }

.audioplayer-bar,
.audioplayer-bar div,
.audioplayer-volume-adjust div {
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  border-radius: 2px; }

.audioplayer *,
.audioplayer *:before,
.audioplayer *:after {
  -webkit-transition: color .25s ease, background-color .25s ease, opacity .5s ease;
  -moz-transition: color .25s ease, background-color .25s ease, opacity .5s ease;
  -ms-transition: color .25s ease, background-color .25s ease, opacity .5s ease;
  -o-transition: color .25s ease, background-color .25s ease, opacity .5s ease;
  transition: color .25s ease, background-color .25s ease, opacity .5s ease; }
